SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUOptionsManagerRef Struct Reference

Provides access to the different options provider objects in the model. Available options providers are: PageOptions, SlideshowOptions, UnitsOptions and PrintOptions. More...

`#include <SketchUpAPI/model/options_manager.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUOptionsManagerGetNumOptionsProviders (SUOptionsManagerRef options_manager, size_t *count)
| Gets the number of available options providers. More...
enum SUResult | SUOptionsManagerGetOptionsProviderNames (SUOptionsManagerRef options_manager, size_t len, SUStringRef options_provider_names[], size_t *count)
| Retrieves options providers associated with the options manager. More...
enum SUResult | SUOptionsManagerGetOptionsProviderByName (SUOptionsManagerRef options_manager, const char *name, SUOptionsProviderRef *options_provider)
| Retrieves the options provider given a name. More...

## Detailed Description

Provides access to the different options provider objects in the model. Available options providers are: PageOptions, SlideshowOptions, UnitsOptions and PrintOptions.

## Friends And Related Function Documentation

enum SUResult SUOptionsManagerGetNumOptionsProviders | ( | SUOptionsManagerRef | options_manager,
|  | size_t * | count
| ) |  |
| related

Gets the number of available options providers.

Parameters

  [in] | options_manager | The options manager object.
  [out] | count | The number of options available.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if options_manager is not valid
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUOptionsManagerGetOptionsProviderByName | ( | SUOptionsManagerRef | options_manager,
|  | const char * | name,
|  | SUOptionsProviderRef * | options_provider
| ) |  |
| related

Retrieves the options provider given a name.

Parameters

  [in] | options_manager | The options manager object.
  [in] | name | The name of the options provider object to get. Assumed to be UTF-8 encoded.
  [out] | options_provider | The options_provider object retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if options_manager is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if name is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if options_providers is NULL
  - SU_ERROR_NO_DATA if the requested options provider object does not exist

enum SUResult SUOptionsManagerGetOptionsProviderNames | ( | SUOptionsManagerRef | options_manager,
|  | size_t | len,
|  | SUStringRef | options_provider_names[],
|  | size_t * | count
| ) |  |
| related

Retrieves options providers associated with the options manager.

Parameters

  [in] | options_manager | The options manager object.
  [in] | len | The number of options provider names to retrieve.
  [out] | options_provider_names | The options provider names retrieved.
  [out] | count | The number of options provider names retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if options_manager is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if options_providers or count is NULL
  - SU_ERROR_INVALID_OUTPUT if any of the strings in options_provider_names are invalid

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/options_manager.h